## org.apache.fop.pdf
Class PDFCIDFontDescriptor

    java.lang.Object
      |
      +--org.apache.fop.pdf.PDFObject
            |
            +--org.apache.fop.pdf.PDFFontDescriptor
                  |
                  +--org.apache.fop.pdf.PDFCIDFontDescriptor

public class PDFCIDFontDescriptor
extends PDFFontDescriptor

class representing a font descriptor for CID fonts. Font descriptors for CID fonts are specified on page 227 and onwards of the PDF 1.3 spec.

Field Summary
`protected PDFStream` `cidSet`
`protected java.lang.String` `lang`

Fields inherited from class org.apache.fop.pdf.PDFFontDescriptor
`ascent, avgWidth, basefont, capHeight, descent, flags, fontBBox, fontfile, italicAngle, leading, maxWidth, missingWidth, stemH, stemV, subtype, xHeight`

Fields inherited from class org.apache.fop.pdf.PDFObject
`generation, number`

Constructor Summary
`PDFCIDFontDescriptor(int number, java.lang.String basefont, int[] fontBBox, int capHeight, int flags, int italicAngle, int stemV, java.lang.String lang)` create the /FontDescriptor object

Method Summary
`protected void` `fillInPDF(java.lang.StringBuffer p)` fill in the specifics for the font's descriptor.
`void` `setCIDSet(PDFStream cidSet)`

Methods inherited from class org.apache.fop.pdf.PDFFontDescriptor
`setFontFile, setMetrics, toPDF`

Methods inherited from class org.apache.fop.pdf.PDFObject
`getNumber, output, referencePDF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### lang

    protected java.lang.String lang

### cidSet

    protected PDFStream cidSet

Constructor Detail

### PDFCIDFontDescriptor

    public PDFCIDFontDescriptor(int number,
                                java.lang.String basefont,
                                int[] fontBBox,
                                int capHeight,
                                int flags,
                                int italicAngle,
                                int stemV,
                                java.lang.String lang)

  create the /FontDescriptor object
  Parameters:
    `number` - the object's number
    `basefont` - the base font name
    `fontBBox` - the bounding box for the described font
    `flags` - various characteristics of the font
    `capHeight` - height of the capital letters
    `stemV` - the width of the dominant vertical stems of glyphs
    `italicAngle` - the angle of the vertical dominant strokes
    `lang` - the language

Method Detail

### setCIDSet

    public void setCIDSet(PDFStream cidSet)

### fillInPDF

    protected void fillInPDF(java.lang.StringBuffer p)

  Description copied from class: PDFFontDescriptor
  fill in the specifics for the font's descriptor. the given buffer already contains the fields common to all descriptors.
  Overrides:
    fillInPDF in class PDFFontDescriptor
  Tags copied from class: PDFFontDescriptor
  Parameters:
    `begin` - the buffer to be completed with the specific fields

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.